/* ==========================================================================
   SPECIFICS
   --------------------------------------------------------------------------
   * LOCAL IMAGES
      : Header logo
      : Main banner
      : Mobile menu
      : Dataset
      : File upload
      : Photo upload
      : Blocking lo: MAIN
   * INVERTING CLICKABLE COLORS (commented and ready to use)
      : Nav
      : Tabs
      : Switcher
      : Dropdown
   * WRAPPER
   * BANNER
   * SEARCH JOBS
      : Section
      : Article
   * ATTACHMENT UPLOAD
   * STEPS BAR
   * LOGIN AND SUCCESS
   ========================================================================== */

/* LOCAL IMAGES: Main banner
   -------------------------------------------------------------------------- */

.banner--main {
    background-image: var(--banner--background--image);
}

/* LOCAL IMAGES: Mobile menu
   -------------------------------------------------------------------------- */

a[class*="__trigger"] {
    background-image: var(--menu--icon--image);
}

/* LOCAL IMAGES: Dataset
   -------------------------------------------------------------------------- */

.removeDatasetRow {
    background-image: var(--dataset--icon--remove);
}

.addDatasetRow {
    background-image: var(--dataset--icon--add);
}

/* LOCAL IMAGES: File upload
   -------------------------------------------------------------------------- */

div[class*="fieldSpec"].FileField .removeFile,
div[class*="fieldSpec"].FileField .removeFile:link,
div[class*="fieldSpec"].FileField .removeFile:visited,
div[class*="fieldSpec"].FileField .removeFile:hover,
div[class*="fieldSpec"].FileField .removeFile:active,
div[class*="fieldSpec"].FileField .removeFile:focus {
    background-image: var(--file--icon--remove);
}

/* LOCAL IMAGES: Photo upload
   -------------------------------------------------------------------------- */

div[class*="fieldSpec"].FileField div[id*="fileInputContainer_"] .photoInputPreviewWrapper .photoInputPreviewContainer.photoPreviewUnselected {
    background-image: var(--photo--upload--icon--user);
}

div[class*="fieldSpec"].FileField .fileInputCancelButton,
div[class*="fieldSpec"].FileField .fileInputCancelButton:link,
div[class*="fieldSpec"].FileField .fileInputCancelButton:visited,
div[class*="fieldSpec"].FileField .fileInputCancelButton:hover,
div[class*="fieldSpec"].FileField .fileInputCancelButton:active,
div[class*="fieldSpec"].FileField .fileInputCancelButton:focus {
    background-image: var(--photo--upload--icon--remove);
}

/* LOCAL IMAGES: Blocking login
   -------------------------------------------------------------------------- */

.body--login {
    background-image: var(--login__body--background--image);
}

/* INVERTING CLICKABLE COLORS: Nav
   -------------------------------------------------------------------------- */

/* TO BE DELETED - when library changes to 1.3 or 2
in lines 120, 129 and 153, fallback var(--color--clickeable) */

/*
.nav__item:not(.nav__item--active) .nav__item__link,
.nav__item:not(.nav__item--active) .nav__item__link:link,
.nav__item:not(.nav__item--active) .nav__item__link:visited {
    color: inherit;
}

.nav__item:not(.nav__item--active) .nav__item__link:hover {
    color: var(--color--clickeable--header, var(--color--clickeable));
}

.nav__item--active .nav__item__link,
.nav__item--active .nav__item__link:link,
.nav__item--active .nav__item__link:visited,
.nav__item--active .nav__item__link:hover,
.nav__item--active .nav__item__link:focus,
.nav__item--active .nav__item__link:active {
    color: var(--color--clickeable--header, var(--color--clickeable));
}

.subnav__item:not(.subnav__item--active) .subnav__item__link,
.subnav__item:not(.subnav__item--active) .subnav__item__link:link,
.subnav__item:not(.subnav__item--active) .subnav__item__link:visited,
.portalLanguages__item:not(.portalLanguages__item--selected) .portalLanguages__link,
.portalLanguages__item:not(.portalLanguages__item--selected) .portalLanguages__link:link,
.portalLanguages__item:not(.portalLanguages__item--selected) .portalLanguages__link:visited {
    color: inherit;
}

.subnav__item--active .subnav__item__link,
.subnav__item--active .subnav__item__link:link,
.subnav__item--active .subnav__item__link:visited,
.subnav__item--active .subnav__item__link:hover,
.subnav__item--active .subnav__item__link:focus,
.subnav__item--active .subnav__item__link:active,
.portalLanguages__item--selected .portalLanguages__link,
.portalLanguages__item--selected .portalLanguages__link:link,
.portalLanguages__item--selected .portalLanguages__link:visited,
.portalLanguages__item--selected .portalLanguages__link:hover,
.portalLanguages__item--selected .portalLanguages__link:focus,
.portalLanguages__item--selected .portalLanguages__link:active {
    color: var(--color--clickeable--header, var(--color--clickeable));
}

+TBD+
*/


/* INVERTING CLICKABLE COLORS: Tabs
   -------------------------------------------------------------------------- */

/*
.tabs__list__item:not(.tabs__list__item--active),
.tabs__list__item:not(.tabs__list__item--active):link,
.tabs__list__item:not(.tabs__list__item--active):visited {
    color: inherit;
}

.tabs__list__item:not(.tabs__list__item--active):hover,
.tabs__list__item:not(.tabs__list__item--active):focus,
.tabs__list__item:not(.tabs__list__item--active):active {
    color: var(--color--clickeable);
}

.tabs__list__item--active,
.tabs__list__item--active:link,
.tabs__list__item--active:visited,
.tabs__list__item--active:hover,
.tabs__list__item--active:focus,
.tabs__list__item--active:active {
    color: var(--color--clickeable);
}

+TBD+
*/


/* INVERTING CLICKABLE COLORS: Switcher
   -------------------------------------------------------------------------- */

/*
.switcher--as-icons [class*="__option"]:not([class*="__option--active"]),
.switcher--as-icons [class*="__option"]:not([class*="__option--active"]):link,
.switcher--as-icons [class*="__option"]:not([class*="__option--active"]):visited {
    color: inherit;
}

.switcher--as-icons [class*="__option"]:not([class*="__option--active"]):hover,
.switcher--as-icons [class*="__option"]:not([class*="__option--active"]):focus,
.switcher--as-icons [class*="__option"]:not([class*="__option--active"]):active {
    color: var(--color--clickeable);
}

.switcher--as-icons [class*="__option--active"],
.switcher--as-icons [class*="__option--active"]:link,
.switcher--as-icons [class*="__option--active"]:visited,
.switcher--as-icons [class*="__option--active"]:hover,
.switcher--as-icons [class*="__option--active"]:focus,
.switcher--as-icons [class*="__option--active"]:active {
    color: var(--color--clickeable);
}

+TBD+
*/


/* INVERTING CLICKABLE COLORS: Dropdown
   -------------------------------------------------------------------------- */

/*
.dropdown__placeholder:hover,
.dropdown__placeholder:focus {
    color: var(--color--clickeable);
}

.dropdown__list__item:not(.dropdown__list__item--active) a {
    color: var(--fields--font--color);
}

.dropdown__list__item--active a {
    color: var(--color--clickeable);
}

.list-controls__sort .dropdown__list .sort__item:not(.sort__item--active) {
    color: var(--fields--font--color);
}

.list-controls__sort .dropdown__list .sort__item--active {
    color: var(--color--clickeable);
}

.sort__item .fa-sort {
    color: var(--main--font--color);
}

.sort__item:hover .fa-sort-asc,
.sort__item:focus .fa-sort-asc,
.sort__item:active .fa-sort-asc,
.sort__item--ASC .fa-sort-asc {
    color: var(--color--clickeable);
}

.sort__item--ASC:hover .fa-sort-desc,
.sort__item--ASC:focus .fa-sort-desc,
.sort__item--ASC:active .fa-sort-desc,
.sort__item--DESC .fa-sort-desc {
    color: var(--color--clickeable);
}

+TBD+
*/


/* WRAPPER
   -------------------------------------------------------------------------- */

/* Media query to target only desktop */
@media all and (min-width:1025px) {
    [class*="__wrapper"] {
        --content--w--full: calc(.875 * var(--grid--columns--1) * var(--grid--columns--amount) + ((.875 * var(--grid--columns--amount)) - 1) * var(--grid--columns--gap));
    }

}

/* BANNER
   -------------------------------------------------------------------------- */

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .banner__wrapper {
        padding-right: 13rem;
    }

}

/* SEARCH JOBS
   -------------------------------------------------------------------------- */

/* Media query to target tablet and desktop */
@media all and (min-width:751px) {
    .body--search-jobs .main {
        --main--background--color: var(--color--brand--sub-2);
    }

}

/* SEARCH JOBS: Section
   -------------------------------------------------------------------------- */

/* Media query to target tablet and desktop */
@media all and (min-width:751px) {
    .body--search-jobs .main__wrapper {
        --main--padding--bottom: 0;
    }

    .section--search-jobs .section__content__results {
        padding: var(--spacer--m) 0;
        border-bottom-width: 1px;
        border-bottom-style: solid;
        border-bottom-color: var(--dividers--border--color);
    }

}

/* Media query to target only tablet */
@media all and (min-width:751px) and (max-width:1024px) {
    .section--search-jobs {
        border-radius: var(--boxes--border--radius) var(--boxes--border--radius) 0 0;
        background-color: #FFFFFF;
        padding: var(--spacer--l) var(--spacer--l)
    }

    .section--search-jobs.section--collapsible-form-search .form--search {
        top: var(--spacer--l);
    }

    .section--search-jobs.section--collapsible-form-search .form--search .form__toggle {
        right: var(--spacer--l);
    }

}

/* Media query to target only desktop */
@media all and (min-width:1025px) {
    .section--search-jobs .section__header {
        display: none;
    }

    .section--search-jobs .section__header + .section__content {
        margin-top: 0;
    }

    .section--search-jobs .section__content + .section__content {
        border-radius: var(--boxes--border--radius) var(--boxes--border--radius) 0 0;
        background-color: #FFFFFF;
        padding: var(--spacer--xl) var(--spacer--xxxl);
    }

    .section--search-jobs .section__content__results {
        border-top-width: 1px;
        border-top-style: solid;
        border-top-color: var(--dividers--border--color);
    }

}

/* SEARCH JOBS: Article
   -------------------------------------------------------------------------- */

.article--result + .article--result {
    margin-top: 1.2rem;
}

.article--result .article__header__text__title a {
    color: var(--color--clickeable);
}

.article--result .article__header__text__subtitle {
    margin-top: var(--spacer--xxs);
}

.article--result .article__header__actions {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
}

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .article--result {
        border-radius: var(--boxes--border--radius);
        border-width: 1px;
        border-style: solid;
        border-color: var(--boxes--border--color);
    }

    .article--result .article__header {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-align: stretch;
        -webkit-align-items: stretch;
        -ms-flex-align: stretch;
        align-items: stretch;
    }

    .article--result .article__header > * {
        width: 100%;
        padding-right: var(--boxes--padding--outers);
        padding-left: var(--boxes--padding--outers);
    }

    .article--result .article__header__text {
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: stretch;
        -webkit-align-items: stretch;
        -ms-flex-align: stretch;
        align-items: stretch;
        min-height: var(--boxes__heading--height);
        padding: var(--boxes--padding--outers) var(--boxes--padding--outers);
    }

    .article--result .article__header__text__title {
        font-size: 1.8rem;
    }

    .article--result .article__header__text__subtitle {
        font-size: 1.4rem;
    }

    .article--result .article__header__actions {
        border-top-width: 1px;
        border-top-style: solid;
        border-top-color: var(--boxes--border--color);
        padding-top: var(--boxes--padding--inners);
        padding-bottom: var(--boxes--padding--inners);
    }

    .article--result .article__header__actions > * + * {
        margin-left: var(--boxes--padding--inners);
    }

    .article--result .article__header__actions .button {
        display: block;
        min-height: 0;
        border-radius: 0;
        border-top-width: 0;
        border-right-width: 0;
        border-bottom-color: transparent;
        border-left-width: 0;
        background-color: transparent;
        padding: 0;
        font-size: 1.2rem;
        text-transform: uppercase;
        line-height: 1.4rem;
        color: var(--color--clickeable);
    }

    .article--result .article__header__actions .button:hover {
        background-color: transparent;
        border-bottom-color: var(--color--clickeable);
    }

    .article--result .social-share--open .social-share__popup {
        bottom: calc(100% + var(--spacer--s));
        left: calc(-1 * var(--spacer--xs));
    }

}

/* Media query to target tablet and desktop */
@media all and (min-width:751px) {
    .article--result {
        padding-top: calc(var(--boxes--padding--inners) * .5);
        padding-bottom: calc(var(--boxes--padding--inners) * .5);
    }

    .article--result .article__header__actions > * + * {
        margin-left: var(--spacer--s);
    }

}

/* ATTACHMENT UPLOAD
   -------------------------------------------------------------------------- */

.article--attachments-upload {
    border-radius: var(--boxes--border--radius);
    border-width: 1px;
    border-style: dashed;
    border-color: var(--boxes--border--color);
    background-color: #FFFFFF;
    padding: var(--boxes--padding--outers) var(--boxes--padding--outers);
}

.article--attachments-upload .article__header {
    margin-bottom: var(--boxes--padding--outers);
    border-bottom-width: 1px;
    border-bottom-style: solid;
    border-bottom-color: var(--dividers--border--color);
    padding-bottom: var(--boxes--padding--outers);
}

.article--attachments-upload .article__header .fv {
    vertical-align: middle;
}

/* STEPS BAR
   -------------------------------------------------------------------------- */

/* Media query to target tablet and desktop */
@media all and (min-width:751px) {
    .list--steps .list__item__text__subtitle {
        margin-bottom: -6px;
        width: 16px;
        height: 16px;
        text-indent: -9999px;
        overflow: hidden;
    }

}

/* LOGIN AND SUCCESS
   -------------------------------------------------------------------------- */

/* Media query to target only desktop */
@media all and (min-width:1025px) {
    .grid--2--divider > .grid__item {
        max-width: none;
    }

    .grid--2--divider > .grid__item:nth-of-type(odd) {
        flex: 0 0 calc(.375 * var(--grid--columns--1) * var(--grid--columns--amount) + ((.375 * var(--grid--columns--amount)) - 1) * var(--grid--columns--gap));
    }

    .grid--2--divider > .grid__item:nth-of-type(even) {
        -webkit-box-flex: 1;
        -webkit-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
    }

    .grid--2--divider > .grid__item:nth-of-type(even) {
        -webkit-box-flex: 1;
        -webkit-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
    }
}
